/*
 * Copyright 2018 Zhenjie Yan.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.yanzhenjie.andserver.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Created by Zhenjie Yan on 2018/6/4.
 */
@Target({ElementType.METHOD, ElementType.TYPE})
@Retention(RetentionPolicy.SOURCE)
public @interface GetMapping {

    /**
     * Alias for {@link RequestMapping#value()}.
     */
    String[] value() default {};

    /**
     * Alias for {@link RequestMapping#path()}.
     */
    String[] path() default {};

    /**
     * Alias for {@link RequestMapping#params()}.
     */
    String[] params() default {};

    /**
     * Alias for {@link RequestMapping#headers()}.
     */
    String[] headers() default {};

    /**
     * Alias for {@link RequestMapping#consumes()}.
     */
    String[] consumes() default {};

    /**
     * Alias for {@link RequestMapping#produces()}.
     */
    String[] produces() default {};
}