/*
 * Copyright © 2019 Zhenjie Yan.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.yanzhenjie.andserver.framework.config;

import com.yanzhenjie.andserver.framework.website.Website;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by Zhenjie Yan on 2019-06-30.
 */
public class Delegate implements WebConfig.Delegate {

    public static Delegate newInstance() {
        return new Delegate();
    }

    private Multipart mMultipart;
    private List<Website> mWebsites;

    private Delegate() {
        mWebsites = new ArrayList<>();
    }

    public Multipart getMultipart() {
        return mMultipart;
    }

    @Override
    public void setMultipart(Multipart multipart) {
        mMultipart = multipart;
    }

    public List<Website> getWebsites() {
        return mWebsites;
    }

    @Override
    public void addWebsite(Website website) {
        mWebsites.add(website);
    }
}
